
# First Setup

After a fresh clone of the repository, this is what you need to setup the server:

1. It is recommended to run the unit tests with `make test`
2. Copy `conf/server.conf.template` to `conf/server.conf` and change it
   appropriately:
    * Setup for MySQL back-end: Assuming that the mysql back-end is installed,
      specify the fields `MYSQL_USER_NAME`, `MYSQL_USER_PASSWORD`,
      `MYSQL_DATABASE_NAME`, and `MYSQL_HOST`.
    * Setup the SSL certificate: Assuming that there is an appropriate `Java
      Key Store` file, change the fields `CERTIFICATES_KEY_PASSWORD`,
      `CERTIFICATES_KEY_STORE_PATH`, and `CERTIFICATES_KEY_STORE_PASSWORD`.
    * Select a path for the file system and set the fields `FILE_SYSTEM_ROOT`,
      `DROP_OFF_BOX`, and `TMP_FILES`.
    * Maybe set another `SESSION_TIMEOUT_MS`.
3. Copy `conf/usersources.ini.template` to `conf/usersources.ini`.
    * Define the users/groups who you want to include/exclude.
    * Assign at least one user the `administration` role.
    * It is important, that the file complies with the ini file specification.
      Especially, that there are no `properties` (aka `keys`) without a
      `value`. An emtpy value can be represented by `""`. Comments are
      everything from `#` or `;` to the end of the line.
4. Install the pam caller in `misc/pam_authentication/`. See
   [the pam authentication README](misc/pam_authentication/README.md)
Done!

# Start Server

`$ make run`

# Run Unit Tests

`$ make test`


# Setup Eclipse

1. Open Eclipse (recommended version: Oxygen.1a Release (4.7.1a))
2. `File > New > Java Project`: Choose a project name and specify the location
   of this repo. The JRE and Project layout should be configured automatically.
   Now, the project should initially have two source-folders: `./src/main/java`
   and `./src/test/java`. After a build, another one,
   `./target/generated-sources/antlr4` should be generated. If there are more
   than these three source-folders, reconfigure the projects source folders
   appropriately with `Project > Properties > Java Build Path > Source`.
3. In the `Package Explorer` view, right-click on the project and `Configure > Convert to Maven Project`.
4. In the `Package Explorer` view, right-click on the project and `Maven > Update Project`.
5. Usually a build of the project is started automatically. Otherwise `Project > Build Project`.

Done!
